Jetracer AI Pro Kit errors

I’m starting with Jetracer AI Pro Kit and I’m facing this errors:

Traceback (most recent call last):
File “/usr/local/lib/python3.6/dist-packages/adafruit_circuitpython_busdevice-5.2.3-py3.6.egg/adafruit_bus_device/i2c_device.py”, line 176, in __probe_for_device
self.i2c.writeto(self.device_address, b"")
File “/usr/local/lib/python3.6/dist-packages/Adafruit_Blinka-8.11.0-py3.6.egg/busio.py”, line 175, in writeto
return self._i2c.writeto(address, buffer, stop=stop)
File “/usr/local/lib/python3.6/dist-packages/Adafruit_Blinka-8.11.0-py3.6.egg/adafruit_blinka/microcontroller/generic_linux/i2c.py”, line 52, in writeto
self._i2c_bus.write_bytes(address, buffer[start:end])
File “/usr/local/lib/python3.6/dist-packages/Adafruit_PureIO-1.1.9-py3.6.egg/Adafruit_PureIO/smbus.py”, line 314, in write_bytes
TimeoutError: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.6/dist-packages/adafruit_circuitpython_busdevice-5.2.3-py3.6.egg/adafruit_bus_device/i2c_device.py”, line 182, in __probe_for_device
self.i2c.readfrom_into(self.device_address, result)
File “/usr/local/lib/python3.6/dist-packages/Adafruit_Blinka-8.11.0-py3.6.egg/busio.py”, line 165, in readfrom_into
return self._i2c.readfrom_into(address, buffer, stop=stop)
File “/usr/local/lib/python3.6/dist-packages/Adafruit_Blinka-8.11.0-py3.6.egg/adafruit_blinka/microcontroller/generic_linux/i2c.py”, line 59, in readfrom_into
readin = self._i2c_bus.read_bytes(address, end - start)
File “/usr/local/lib/python3.6/dist-packages/Adafruit_PureIO-1.1.9-py3.6.egg/Adafruit_PureIO/smbus.py”, line 181, in read_bytes
OSError: [Errno 121] Remote I/O error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/sergio/catkin_ws/src/cytron_jetracer/scripts/racecar.py”, line 8, in
car = NvidiaRacecar()
File “/usr/local/lib/python3.6/dist-packages/jetracer-0.0.0-py3.6.egg/jetracer/nvidia_racecar.py”, line 18, in init
File “/usr/local/lib/python3.6/dist-packages/adafruit_circuitpython_servokit-1.3.13-py3.6.egg/adafruit_servokit.py”, line 90, in init
i2c, address=address, reference_clock_speed=reference_clock_speed
File “/usr/local/lib/python3.6/dist-packages/adafruit_circuitpython_pca9685-3.4.6-py3.6.egg/adafruit_pca9685.py”, line 141, in init
self.i2c_device = i2c_device.I2CDevice(i2c_bus, address)
File “/usr/local/lib/python3.6/dist-packages/adafruit_circuitpython_busdevice-5.2.3-py3.6.egg/adafruit_bus_device/i2c_device.py”, line 63, in init
self.__probe_for_device()
File “/usr/local/lib/python3.6/dist-packages/adafruit_circuitpython_busdevice-5.2.3-py3.6.egg/adafruit_bus_device/i2c_device.py”, line 185, in __probe_for_device
raise ValueError(“No I2C device at address: 0x%x” % self.device_address)
ValueError: No I2C device at address: 0x60
Exiting…
Cleaning up pins

I’m starting from the very beginning and cannot solve them. In Jetracer error - No I2c device at address 0x60 I have seen that the last error happens to other people, but no solution is given.

Thanks for your help

Did you check why it is not detected?

First of all, thanks for your reply.

It is a programming error -not electrical or electronical-, because I have a SD card copy with the Waveshare’s OS system image, which is the one given in their tutorial, which uses Jupyter Notebook, and the Jetracer works perfectly.

I don’t know what more to do to check why the 0x60 adress is not detected.

I still have not found a solution :(